# Project: databaze
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = Databaze_private.res
OBJ  = main.o databaze.o $(RES)
LINKOBJ  = main.o databaze.o $(RES)
LIBS =  -L"C:/DEV-CPP/lib"  -fmessage-length=0 -s 
INCS =  -I"C:/DEV-CPP/include" 
CXXINCS =  -I"C:/DEV-CPP/lib/gcc/mingw32/3.4.2/include"  -I"C:/DEV-CPP/include/c++/3.4.2/backward"  -I"C:/DEV-CPP/include/c++/3.4.2/mingw32"  -I"C:/DEV-CPP/include/c++/3.4.2"  -I"C:/DEV-CPP/include" 
BIN  = dtb.exe
CXXFLAGS = $(CXXINCS)   -fexpensive-optimizations -O3 -fmessage-length=0
CFLAGS = $(INCS)   -fexpensive-optimizations -O3 -fmessage-length=0
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before dtb.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CC) $(LINKOBJ) -o "dtb.exe" $(LIBS)

main.o: main.c
	$(CC) -c main.c -o main.o $(CFLAGS)

databaze.o: databaze.c
	$(CC) -c databaze.c -o databaze.o $(CFLAGS)

Databaze_private.res: Databaze_private.rc 
	$(WINDRES) -i Databaze_private.rc --input-format=rc -o Databaze_private.res -O coff 
